%define name libgalago
%define version 0.5.1
%define release %mkrel 3
%define major 2
%define libname %mklibname galago %major

Summary: Base library of Galago 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.galago-project.org/files/releases/source/libgalago/%{name}-%{version}.tar.bz2
License: LGPL
Group: System/Libraries
Url: http://www.galago-project.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: dbus-glib-devel
BuildRequires: gtk-doc


%description
This is the base library of the Galago desktop presence framework.

%package -n %libname
Group: System/Libraries
Summary: Base library of Galago - shared library
#gw for the translations
Requires: %name >= %version
#gw for the sharp bindings
Provides: galago%major = %version-%release

%description -n %libname
This is the base library of the Galago desktop presence framework.

%package -n %libname-devel
Group: Development/C
Summary: Base library of Galago - headers
Requires: %libname = %version
Provides: %name-devel = %version-%release

%description -n %libname-devel
This is the base library of the Galago desktop presence framework.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std MKINSTALLDIRS=`pwd`/mkinstalldirs
rm -rf %buildroot%_datadir/autopackage
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.%{major}*

%files -n %libname-devel
%defattr(-,root,root)
%_libdir/lib*.so
%attr(644,root,root) %_libdir/lib*a
%_libdir/pkgconfig/libgalago.pc
%_includedir/%name/
%_datadir/gtk-doc/html/libgalago

%changelog
* Mon Aug  7 2006 Götz Waschk <waschk@mandriva.org> 0.5.1-3mdv2007.0
- fix buildrequires

* Tue Aug 01 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.1-2mdv2007.0
- Rebuild with latest dbus

* Wed Jul 12 2006 Götz Waschk <waschk@mandriva.org> 0.5.1-1mdv2007.0
- update file list
- fix installation
- New release 0.5.1

* Fri Apr 21 2006 Götz Waschk <waschk@mandriva.org> 0.5.0-1mdk
- new major
- New release 0.5.0

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 0.3.3-3mdk
- rebuild for new dbus
- use mkrel

* Wed Oct 26 2005 Götz Waschk <waschk@mandriva.org> 0.3.3-2mdk
- rebuild for new dbus

* Tue Oct 25 2005 Götz Waschk <waschk@mandriva.org> 0.3.3-1mdk
- new URL
- New release 0.3.3

* Fri Jun 17 2005 Götz Waschk <waschk@mandriva.org> 0.3.2-3mdk
- description (Buchan)

* Thu Jun 16 2005 Götz Waschk <waschk@mandriva.org> 0.3.2-2mdk
- add provides to the library package

* Thu Jun 16 2005 Götz Waschk <waschk@mandriva.org> 0.3.2-1mdk
- initial package
